A test for the basic NAT functionality uses ip command which
needs veth device.There is a condition where the kernel support
for veth is not compiled into the kernel and the test script
breaks.This patch contains code for reasonable error display
and correct code exit.
Signed-off-by: Jeffrin Jose T <[email protected]>
---
tools/testing/selftests/netfilter/nft_nat.sh | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)
diff --git a/tools/testing/selftests/netfilter/nft_nat.sh b/tools/testing/selftests/netfilter/nft_nat.sh
index 8ec76681605c..f25f72a75cf3 100755
--- a/tools/testing/selftests/netfilter/nft_nat.sh
+++ b/tools/testing/selftests/netfilter/nft_nat.sh
@@ -23,7 +23,11 @@ ip netns add ns0
ip netns add ns1
ip netns add ns2
-ip link add veth0 netns ns0 type veth peer name eth0 netns ns1
+ip link add veth0 netns ns0 type veth peer name eth0 netns ns1 > /dev/null 2>&1
+if [ $? -ne 0 ];then
+ echo "SKIP: No virtual ethernet pair device support in kernel"
+ exit $ksft_skip
+fi
ip link add veth1 netns ns0 type veth peer name eth0 netns ns2
ip -net ns0 link set lo up
--
2.20.1
Jeffrin Jose T <[email protected]> wrote:
> A test for the basic NAT functionality uses ip command which
> needs veth device.There is a condition where the kernel support
> for veth is not compiled into the kernel and the test script
> breaks.This patch contains code for reasonable error display
> and correct code exit.
Looks good to me, thanks for following up on this.
Acked-by: Florian Westphal <[email protected]>
Hello Shuah,
did you get the mail related stuff below ?
On Fri, Apr 5, 2019 at 10:17 PM Florian Westphal <[email protected]> wrote:
>
> Jeffrin Jose T <[email protected]> wrote:
> > A test for the basic NAT functionality uses ip command which
> > needs veth device.There is a condition where the kernel support
> > for veth is not compiled into the kernel and the test script
> > breaks.This patch contains code for reasonable error display
> > and correct code exit.
>
> Looks good to me, thanks for following up on this.
>
> Acked-by: Florian Westphal <[email protected]>
--
software engineer
rajagiri school of engineering and technology
On 4/13/19 6:39 AM, Jeffrin Thalakkottoor wrote:
> Hello Shuah,
>
> did you get the mail related stuff below ?
>
Yes I saw this patch.
> On Fri, Apr 5, 2019 at 10:17 PM Florian Westphal <[email protected]> wrote:
>>
>> Jeffrin Jose T <[email protected]> wrote:
>>> A test for the basic NAT functionality uses ip command which
>>> needs veth device.There is a condition where the kernel support
>>> for veth is not compiled into the kernel and the test script
>>> breaks.This patch contains code for reasonable error display
>>> and correct code exit.
>>
>> Looks good to me, thanks for following up on this.
>>
>> Acked-by: Florian Westphal <[email protected]>
>
>
>
Pablo,
Would you like me to take this patch through ksleftest tree?
If you want to take this through netfilter tree:
Acked-by: Shuah Khan <[email protected]>
thanks,
-- Shuah
shuah <[email protected]> wrote:
> Would you like me to take this patch through ksleftest tree?
Please do, this patch is neither in nf nor nf-next and it looks fine to
me.
Cc'ing [email protected]
On Tue, Apr 30, 2019 at 12:02:56PM +0200, Florian Westphal wrote:
> shuah <[email protected]> wrote:
> > Would you like me to take this patch through ksleftest tree?
>
> Please do, this patch is neither in nf nor nf-next and it looks fine to
> me.
Indeed, thanks.
Hi Pablo,
Please follow up on the mail you sent.
This is for my interest to see my patch upstream
On Tue, Apr 30, 2019 at 4:22 PM Pablo Neira Ayuso <[email protected]> wrote:
>
> Cc'ing [email protected]
>
> On Tue, Apr 30, 2019 at 12:02:56PM +0200, Florian Westphal wrote:
> > shuah <[email protected]> wrote:
> > > Would you like me to take this patch through ksleftest tree?
> >
> > Please do, this patch is neither in nf nor nf-next and it looks fine to
> > me.
>
> Indeed, thanks.
--
software engineer
rajagiri school of engineering and technology
On Sun, May 12, 2019 at 02:28:07AM +0530, Jeffrin Thalakkottoor wrote:
> Hi Pablo,
>
> Please follow up on the mail you sent.
> This is for my interest to see my patch upstream
Please, pick a shorter patch subject, I'd suggest something like:
"selftests: netfilter: missing error check when setting up veth interface"
or alike.
Submit your v2 and don't forget to Cc: [email protected]
Thanks.